RHEL 7 : tomcat (RHSA-2017:2247)

high Nessus 插件 ID 102115

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

tomcat 的更新现在可用于 Red Hat Enterprise Linux 7。Red Hat 产品安全团队将此更新评级为具有低等安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其针对每个漏洞给出了详细的严重性等级。Apache Tomcat 是适用于 Java Servlet 和 JavaServer Pages (JSP) 技术的 servlet 容器。下列程序包已升级到更新的上游版本:tomcat (7.0.76)。(BZ#1414895) 安全修复:* 如果提供的用户名不存在,则 Realm 实现不会处理提供的密码。这可能造成计时攻击判断出有效的用户名。请注意,默认配置包括可使该漏洞更难以利用的 LockOutRealm。(CVE-2016-0762) * 已发现一种恶意 Web 应用程序可以通过 Tomcat 实用工具方式(可访问 Web 应用程序),绕过已配置的 SecurityManager。(CVE-2016-5018) * 已发现配置 SecurityManager 后,恶意 Web 应用程序可使用配置文件的 Tomcat 系统属性替换功能,绕过 SecurityManager 并读取不可见的系统属性。(CVE-2016-6794) * 已发现恶意 Web 应用程序可通过操作 JSP Servlet 的配置参数,绕过已配置的 SecurityManager。(CVE-2016-6796) * 已发现 Web 应用程序可能会访问任何全局 JNDI 资源,无论是否已配置明确的 ResourceLink。(CVE-2016-6797) 其他更改:如需有关此发行版本的详细变更信息,请参阅可从“参考”部分链接的 Red Hat Enterprise Linux 7.4 版本说明。

解决方案

更新受影响的程序包。

另见

http://www.nessus.org/u?3395ff0b

https://access.redhat.com/errata/RHSA-2017:2247

https://access.redhat.com/security/cve/cve-2016-0762

https://access.redhat.com/security/cve/cve-2016-5018

https://access.redhat.com/security/cve/cve-2016-6794

https://access.redhat.com/security/cve/cve-2016-6796

https://access.redhat.com/security/cve/cve-2016-6797

插件详情

严重性: High

ID: 102115

文件名: redhat-RHSA-2017-2247.nasl

版本: 3.11

类型: local

代理: unix

发布时间: 2017/8/2

最近更新时间: 2019/10/24

支持的传感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6

CVSS v2

风险因素: Medium

基本分数: 5

矢量: AV:N/AC:L/Au:N/C:N/I:P/A:N

CVSS v3

风险因素: High

基本分数: 7.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

漏洞信息

CPE: p-cpe:/a:redhat:enterprise_linux:tomcat, p-cpe:/a:redhat:enterprise_linux:tomcat-admin-webapps, p-cpe:/a:redhat:enterprise_linux:tomcat-docs-webapp, p-cpe:/a:redhat:enterprise_linux:tomcat-el-2.2-api, p-cpe:/a:redhat:enterprise_linux:tomcat-javadoc, p-cpe:/a:redhat:enterprise_linux:tomcat-jsp-2.2-api, p-cpe:/a:redhat:enterprise_linux:tomcat-jsvc, p-cpe:/a:redhat:enterprise_linux:tomcat-lib, p-cpe:/a:redhat:enterprise_linux:tomcat-servlet-3.0-api, p-cpe:/a:redhat:enterprise_linux:tomcat-webapps, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.4, cpe:/o:redhat:enterprise_linux:7.5, cpe:/o:redhat:enterprise_linux:7.6, cpe:/o:redhat:enterprise_linux:7.7

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

补丁发布日期: 2017/8/1

漏洞发布日期: 2017/8/10

参考资料信息

CVE: CVE-2016-0762, CVE-2016-5018, CVE-2016-6794, CVE-2016-6796, CVE-2016-6797

RHSA: 2017:2247